"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require("react-router-dom");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PrevNext = ({
  next,
  nextText,
  previous,
  previousText,
  getTitle = () => {}
}) => {
  if (!(next || previous)) {
    return _react2.default.createElement("div", { className: "prevnext" });
  }

  // XXX: make sure page spans whole container if it's the only one
  let style = {
    width: "100%"
  };
  if (next && previous) {
    style = {};
  }

  return _react2.default.createElement(
    "div",
    { className: "prevnext" },
    previous && _react2.default.createElement(
      "div",
      { className: "prevnext__prev", style: style },
      previous.headerImage && _react2.default.createElement("div", {
        className: "prevnext__bg",
        style: {
          backgroundImage: `url(${previous.headerImage})`
        }
      }),
      _react2.default.createElement(
        "span",
        { className: "prevnext__info" },
        previousText
      ),
      _react2.default.createElement(
        _reactRouterDom.Link,
        { className: "prevnext__link", to: previous.url },
        getTitle(previous)
      )
    ),
    next && _react2.default.createElement(
      "div",
      { className: "prevnext__next", style: style },
      next.headerImage && _react2.default.createElement("div", {
        className: "prevnext__bg",
        style: {
          backgroundImage: `url(${next.headerImage})`
        }
      }),
      _react2.default.createElement(
        "span",
        { className: "prevnext__info" },
        nextText
      ),
      _react2.default.createElement(
        _reactRouterDom.Link,
        { className: "prevnext__link", to: next.url },
        getTitle(next)
      )
    )
  );
};

exports.default = PrevNext;