"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require("react-router-dom");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PrevNextMini = ({ previous, next, getTitle = () => {} }) => _react2.default.createElement(
  "div",
  null,
  renderNext(getTitle, next),
  renderPrevious(getTitle, previous)
);

function renderNext(getTitle, next) {
  return next ? _react2.default.createElement(
    _reactRouterDom.Link,
    { className: "next-page", to: next.url, title: getTitle(next) },
    _react2.default.createElement("i", { className: "icon-right-open" })
  ) : null;
}

function renderPrevious(getTitle, previous) {
  return previous ? _react2.default.createElement(
    _reactRouterDom.Link,
    {
      className: "previous-page",
      to: previous.url,
      title: getTitle(previous)
    },
    _react2.default.createElement("i", { className: "icon-left-open" })
  ) : null;
}

exports.default = PrevNextMini;