"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Teaser = ({ pages }) => pages.length > 1 ? renderMultiple(pages) : renderSingle(pages[0]);

function renderMultiple(pages) {
  return _react2.default.createElement(
    "ul",
    { className: "teasers" },
    pages.map((page, i) => _react2.default.createElement(
      "li",
      { key: "teaser-" + i },
      renderSingle(page)
    ))
  );
}

function renderSingle(page) {
  if (page) {
    return _react2.default.createElement(
      "a",
      { className: "teaser", href: "/" + page.url },
      page.title
    );
  }

  return null;
}

exports.default = Teaser;