"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require("react-router-dom");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Toc = ({ sectionPages, page }) => _react2.default.createElement(
  "ul",
  { className: "toc-nav" },
  sectionPages.map((navPage, i) => {
    const type = navPage.type || "";

    return _react2.default.createElement(
      "li",
      { key: `navPage${i}`, className: type && "toc-" + type },
      navPage.title === page.title ? _react2.default.createElement(
        "span",
        { className: `toc-nav__link toc-nav__link--current ${type}` },
        navPage.title
      ) : _react2.default.createElement(
        _reactRouterDom.Link,
        { to: navPage.url, className: `toc-nav__link ${type}` },
        navPage.title
      )
    );
  })
);

exports.default = Toc;